#
# spec file for package devilspie2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           devilspie2
Version:        0.43
Release:        2.1
Summary:        A window matching utility
License:        GPL-3.0-or-later
Group:          System/X11/Utilities
URL:            http://www.nongnu.org/devilspie2/
Source0:        http://download.savannah.gnu.org/releases/devilspie2/%{name}_%{version}-src.tar.gz
Source1:        http://download.savannah.gnu.org/releases/devilspie2/%{name}_%{version}-src.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(lua) >= 5.1
Recommends:     %{name}-lang = %{version}

%description
Devilspie 2 is based on the excellent program Devil's Pie by Ross Burton, and
takes a folder as in-data, and checks that folder for LUA scripts. These
scripts are run each time a window is opened, and the rules in them are applied
on the window.

Unfortunately the rules of the original Devil's Pie are not supported.

%lang_package

%prep
%setup -q

%build
make %{?_smp_mflags} CC="cc %{optflags}"

%install
%make_install PREFIX=%{_usr}
install -D -p -m 644 %{name}.1 \
  %{buildroot}/%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files
%license COPYING
%doc AUTHORS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Fri Jan 18 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise specfile using spec-cleaner
  * Mark license as such
* Fri Oct  6 2017 mpluskal@suse.com
- Update to version 0.43:
  * No changelog provided by upstream
- Update project url
* Thu Jan 26 2017 mpluskal@suse.com
- Update to version 0.42:
  * Support window focus / blur events
  * Add example for Awesome window manager
  * Updated French, Italian and Swedish translations
- Split lang subpackage
* Wed Sep  7 2016 yfjiang@suse.com
- Change license to GPL-3.0+
* Fri May 20 2016 mpluskal@suse.com
- Update to version 0.41:
  * Set a correct version number
* Fri May  6 2016 mpluskal@suse.com
- Set group for main package
* Thu Mar 31 2016 mpluskal@suse.com
- Update to 0.40
  * Add callback for geometry change
  * Add error string for one or two indata expected
  * Make devilspie2_get_viewport_start return both x and y
    coordinates
  * Add alternative functionality to set_viewport Now you can set
    the coordinates to the window if you use two integers as indata
  * New Italian translation, updated Dutch, Japanese and Swedish
    translations
  * Build flags hardening fixes
  * Allow reading of XA_WINDOW properties
* Fri Feb 19 2016 mpluskal@suse.com
- Drop _service and use url instead
- Build with optflags
- Cleanup spec file with spec-cleaner
- Add gpg signature
* Mon Nov  9 2015 aspiers@suse.com
- Update to 0.39
  Thu Dec 26 2013 larchunix <larchunix at gmail dot com> - 0.31-1
- Upstream update.
  Sun Aug 25 2013 larchunix <larchunix at gmail dot com> - 0.30-1
- Upstream update.
  Sun May 19 2013 larchunix <larchunix at gmail dot com> - 0.29-1
- Upstream update.
  Wed Mar 13 2013 larchunix <larchunix at gmail dot com> - 0.28-1
- Initial RPM release.
